# Class yii\caching\FileDependency

Inheritance | yii\caching\FileDependency » yii\caching\Dependency » yii\base\BaseObject
Implements | yii\base\Configurable
Available since version | 2.0
Source Code | https://github.com/yiisoft/yii2/blob/master/framework/caching/FileDependency.php

FileDependency represents a dependency based on a file's last modification time.

If the last modification time of the file specified via $fileName is changed, the dependency is considered as changed.

For more details and usage information on Cache, see the guide article on caching.

## Public Properties

Hide inherited properties

Property | Type | Description | Defined By
--- | --- | --- | ---
$data | mixed | The dependency data that is saved in cache and later is compared with the latest dependency data. | yii\caching\Dependency
$fileName | string | The file path or path alias whose last modification time is used to check if the dependency has been changed. | yii\caching\FileDependency
$reusable | boolean | Whether this dependency is reusable or not. | yii\caching\Dependency

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
__call() | Calls the named method which is not a class method. | yii\base\BaseObject
__construct() | Constructor. | yii\base\BaseObject
__get() | Returns the value of an object property. | yii\base\BaseObject
__isset() | Checks if a property is set, i.e. defined and not null. | yii\base\BaseObject
__set() | Sets value of an object property. | yii\base\BaseObject
__unset() | Sets an object property to null. | yii\base\BaseObject
canGetProperty() | Returns a value indicating whether a property can be read. | yii\base\BaseObject
canSetProperty() | Returns a value indicating whether a property can be set. | yii\base\BaseObject
className() | Returns the fully qualified name of this class. | yii\base\BaseObject
evaluateDependency() | Evaluates the dependency by generating and saving the data related with dependency. | yii\caching\Dependency
getHasChanged() | Returns a value indicating whether the dependency has changed. | yii\caching\Dependency
hasMethod() | Returns a value indicating whether a method is defined. | yii\base\BaseObject
hasProperty() | Returns a value indicating whether a property is defined. | yii\base\BaseObject
init() | Initializes the object. | yii\base\BaseObject
isChanged() | Checks whether the dependency is changed. | yii\caching\Dependency
resetReusableData() | Resets all cached data for reusable dependencies. | yii\caching\Dependency

## Protected Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
generateDependencyData() | Generates the data needed to determine if dependency has been changed. | yii\caching\FileDependency
generateReusableHash() | Generates a unique hash that can be used for retrieving reusable dependency data. | yii\caching\Dependency

## Property Details

$fileName public property

The file path or path alias whose last modification time is used to check if the dependency has been changed.

public string $fileName = null

## Method Details

generateDependencyData() protected method

Generates the data needed to determine if dependency has been changed.

This method returns the file's last modification time.

protected mixed generateDependencyData ( $cache )
$cache | yii\caching\CacheInterface | The cache component that is currently evaluating this dependency
return | mixed | The data needed to determine if dependency has been changed.
throws | yii\base\InvalidConfigException | if $fileName is not set